<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <changeSet author="melnik (generated)" id="1544207131932-1-add_index_column">

        <delete tableName="mrk_p">
            <where>id is not null</where>
        </delete>
        <delete tableName="mrk_h">
            <where>id is not null</where>
        </delete>

        <addColumn tableName="mrk_h">
            <column name="docnum" type="varchar(50)">
                <constraints nullable="false"/>
            </column>
        </addColumn>
        <addColumn tableName="mrk_p">
            <column name="mrkh_id" type="BIGINT"/>
        </addColumn>
        <addUniqueConstraint columnNames="docnum" constraintName="mrk_h_docnum_index" tableName="mrk_h"/>
        <addForeignKeyConstraint baseColumnNames="mrkh_id" baseTableName="mrk_p" constraintName="FKrxf370bbrau9i7rfrmrn7o4ay" deferrable="false" initiallyDeferred="false" referencedColumnNames="id" referencedTableName="mrk_h"/>
        <dropForeignKeyConstraint baseTableName="mrk_p" constraintName="FKhh5xpc284x5wbj468yi6jt9a4"/>
        <dropColumn columnName="docnum_id" tableName="mrk_p"/>

        <modifyDataType columnName="posnum" newDataType="varchar(50)" tableName="mrk_p"/>

        <createIndex indexName="mrk_h_docnum_index_index" tableName="mrk_h" unique="true">
            <column name="docnum" type="varchar(50)"/>
        </createIndex>

        <createIndex indexName="mrk_p_posnum_index" tableName="mrk_p" unique="true">
            <column name="posnum" type="varchar(50)"/>
        </createIndex>
    </changeSet>
</databaseChangeLog>
